import request from '@/utils/request'

// 查询公益慈善信息列表
export function listInfo(query) {
    return request({
        url: '/crmCharityInfo/findByPage',
        method: 'get',
        params: query
    })
}

// 查询公益慈善信息详细
export function getInfo(id) {
    return request({
        url: '/crmCharityInfo/' + id,
        method: 'get'
    })
}

// 新增公益慈善信息
export function addInfo(data) {
    return request({
        url: '/crmCharityInfo',
        method: 'post',
        data: data
    })
}

// 修改公益慈善信息
export function updateInfo(data) {
    return request({
        url: '/crmCharityInfo',
        method: 'put',
        data: data
    })
}

// 删除公益慈善信息
export function delInfo(id) {
    return request({
        url: '/crmCharityInfo/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
    console.log(ids);
    return request.post('/crmCharityInfo/delete',ids)
}